<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">

    <!-- Ngày ký quyết định -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        [mbType]="isSubmitted && form.controls['signedDate'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['signedDate'].errors !== null"
        [mbErrors]="form.controls['signedDate'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.decisionDay' | translate }}]"
        mbPlaceholderText="{{'staffManager.table.decisionDay' | translate}}"
        mbLabelText="{{'staffManager.table.decisionDay' | translate}} <span class='label__required'>*</span>"
        formControlName="signedDate"></mb-date-picker>
    </div>

    <!-- Cấp quyết định -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listDisciplineLevel"
                 mbKeyLabel="label"
                 mbKeyValue="value"
                 [mbType]="isSubmitted && form.controls['disciplineLevelCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['disciplineLevelCode'].errors !== null"
                 [mbErrors]="form.controls['disciplineLevelCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.decisionLevel' | translate }}]"
                 mbPlaceholder="{{'staffManager.table.decisionLevel' | translate}}"
                 mbLabelText="{{'staffManager.table.disciplineLevel' | translate}} <span class='label__required'>*</span>"
                 formControlName="disciplineLevelCode"></mb-select>
    </div>

    <!-- Hình thức kỷ luật -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listDisciplineMethod"
                 mbKeyLabel="label"
                 mbKeyValue="value"
                 [mbType]="isSubmitted && form.controls['disciplineMethodCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['disciplineMethodCode'].errors !== null"
                 [mbErrors]="form.controls['disciplineMethodCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.disciplineMethod' | translate }}]"
                 mbPlaceholder="{{'staffManager.table.disciplineMethod' | translate}}"
                 mbLabelText="{{'staffManager.table.disciplineMethod' | translate}} <span class='label__required'>*</span>"
                 formControlName="disciplineMethodCode"></mb-select>
    </div>

    <!-- Ngày hiệu lực -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.table.effectiveDate' | translate}}"
        mbLabelText="{{'staffManager.table.effectiveDate' | translate}}"
        formControlName="fromDate"></mb-date-picker>
    </div>

    <!-- Ngày hết hiệu lực -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.table.expirationDate' | translate}}"
        mbLabelText="{{'staffManager.table.expirationDate' | translate}}"
        formControlName="toDate"></mb-date-picker>
    </div>

    <!-- Số tiền -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        appNumberInput
        [mbMaxLength]='13'
        mbSuffixTemplate="VNĐ"
        [mbType]="isSubmitted && form.controls['amount'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['amount'].errors !== null"
        [mbErrors]="form.controls['amount'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '13' }}]"
        mbPlaceholderText="{{'staffManager.table.amountVoluntary' | translate}}"
        mbLabelText="{{'staffManager.table.amountVoluntary' | translate}}"
        formControlName="amount"></mb-input-text>
    </div>

    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        appNumberInput
        [mbMaxLength]='13'
        mbSuffixTemplate="VNĐ"
        [mbType]="isSubmitted && form.controls['amountRemedied'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['amountRemedied'].errors !== null"
        [mbErrors]="form.controls['amountRemedied'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '13' }}]"
        mbPlaceholderText="{{'staffManager.table.amountRemedied' | translate}}"
        mbLabelText="{{'staffManager.table.amountRemedied' | translate}}"
        formControlName="amountRemedied"></mb-input-text>
    </div>

    <!--  Người ký  -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbMaxLength]="200"
        mbPlaceholderText="{{'staffManager.table.signer' | translate}}"
        mbLabelText="{{'staffManager.table.signer' | translate}}"
        formControlName="signer"></mb-input-text>
    </div>

    <!--  Chức danh ký  -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbMaxLength]="200"
        mbPlaceholderText="{{'staffManager.table.signerPosition' | translate}}"
        mbLabelText="{{'staffManager.table.signerPosition' | translate}}"
        formControlName="signerPosition"></mb-input-text>
    </div>

    <!-- Lý do -->
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text
                     mbPlaceholderText="{{'staffManager.table.reason' | translate}}"
                     [mbType]="isSubmitted && form.controls['reason'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['reason'].errors !== null"
                     [mbErrors]="form.controls['reason'].errors"
                     [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.reason' | translate }}]"
                     mbLabelText="{{'staffManager.table.reason' | translate}} <span class='label__required'>*</span>"
                     formControlName="reason"></mb-input-text>
    </div>

    <!-- Vụ việc -->
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbMaxLength]="200"
                     mbPlaceholderText="{{'staffManager.table.caseName' | translate}}"
                     [mbType]="isSubmitted && form.controls['caseName'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['caseName'].errors !== null"
                     [mbErrors]="form.controls['caseName'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '200' | translate }}]"
                     mbLabelText="{{'staffManager.table.caseName' | translate}}"
                     formControlName="caseName"></mb-input-text>
    </div>


    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbIsTextAre]="true"
                     [mbMaxLength]='500'
                     [mbType]="isSubmitted && form.controls['note'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['note'].errors !== null"
                     [mbErrors]="form.controls['note'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '500' }}]"
                     mbPlaceholderText="{{'staffManager.label.note' | translate}}"
                     mbLabelText="{{'staffManager.label.note' | translate}}"
                     formControlName="note"></mb-input-text>
    </div>
  </div>
</form>
